Bug 111083 - bad source code
Summary: bad source code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyxf86config   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-27 10:13 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 09:59:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-27 10:13:39 UTC
Description of problem:
I just tried to compile package pyxf86config-0.3.12-1 from Fedora.

The compiler said

1.

pyxf86conf.c(2079): remark #592: variable "range" is used before its
value is set

The source code is

  parser_range range;

  /* ... */

  ((parser_range *)wrapper->array)[index] = range;

Suggest initialise range before use.



Version-Release number of selected component (if applicable):
pyxf86config-0.3.12-1 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2004-02-09 09:59:42 UTC
fixed in 0.3.14-1


Note You need to log in before you can comment on or make changes to this bug.